Description

Hi,

| am looking to create a panel data set using the main survey from Understanding society. Most variables | need are contained within
the indresp file, however a couple | want are in the hhresp file. Is there a way to create a panel data set, i.e using multiple years of

data, with a data set combining both hhresp and indresp variables.

Thanks.

History

#1 - 01/24/2024 05:02 PM - Understanding Society User Support Team
- Category set to Data management
- Status changed from New to Feedback

- % Done changed from 0 to 80

Hi Ted,

You can proceed in two steps:

1) linking the household level data to the individual level data for each wave using the w_hidp variable - for that task, you may find useful the code in
"Distributing household level information to the individual level" available here:

https://www.understandingsociety.ac.uk/documentation/mainstage/syntax/

2) and then linking the individuals across waves using the pidp variable - you can use the code from the "Merging individual files across waves into
wide format" and the "Merging individual files across waves into wide format" files (

https://www.understandingsociety.ac.uk/documentation/mainstage/syntax/)

Linking households across waves is not possible as there is no longitudinal household identifier in UKHLS (hidp changes in each wave even if the

household stays exactly the same).

Best wishes,
Piotr Marzec,
UKHLS User Support

#2 - 01/24/2024 05:02 PM - Understanding Society User Support Team

- Private changed from Yes to No

#3 - 02/23/2024 02:37 PM - Understanding Society User Support Team
- Status changed from Feedback to Resolved

- % Done changed from 80 to 100
